QMTEST(1)

NAME
qmtest - access QMTest's functionality from the command line.

SYNOPSIS

qmtest [ option ... ] command [ command-option ... ] [ argument ... ]

DESCRIPTION

qmtest QMTest is an general-purpose, cross-platform software testing tool. QMTest can be used to test compilers, databases, graphical user interfaces, or embedded systems. QMTest provides a convenient graphical user interface for creating, managing, and executing tests, provides support for parallel test execution, and can be extended in a variety of ways.

This tool offers access to the tool's functionality from the command line.

OPTIONS

-h, --help
    Display usage summary.

--version
    Display version information.

-D, --tdb PATH
    Path to the test database.

COMMANDS

create-target
    Create (or update) a target specification.

create-tdb
    Create a new test database.

gui Start the QMTest GUI.

extensions
    List extension classes.

help
    Display usage summary.

register
    Register an extension class.

remote
    Run QMTest as a remote server.

run Run one or more tests.

summarize
    Summarize results from a test run.

Invoke
  "qmtest COMMAND --help"

for information about command-options and arguments.

BUGS
This manual page may be out of date, it should be generated from the XML manual.

SEE ALSO
The complete qmtest documentation is provided in HTML and PDF formats in /usr/share/doc/qm/test.